import request from '@/utils/request'

// 查询企业绩效评价标准列表
export function listStandard(query) {
    return request({
        url: '/rmEnterprisePerformanceStandard/findByPage',
        method: 'get',
        params: query
    })
}

// 查询企业绩效评价标准详细
export function getStandard(id) {
    return request({
        url: '/rmEnterprisePerformanceStandard/' + id,
        method: 'get'
    })
}

// 新增企业绩效评价标准
export function addStandard(data) {
    return request({
        url: '/rmEnterprisePerformanceStandard',
        method: 'post',
        data: data
    })
}

// 修改企业绩效评价标准
export function updateStandard(data) {
    return request({
        url: '/rmEnterprisePerformanceStandard',
        method: 'put',
        data: data
    })
}

// 删除企业绩效评价标准
export function delStandard(id) {
    return request({
        url: '/rmEnterprisePerformanceStandard/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delStandardBatch(ids) {
    console.log(ids);
    return request.post('/rmEnterprisePerformanceStandard/delete',ids)
}